| Home | Libraries | People | FAQ | More

## Struct template rolling_window_impl

boost::accumulators::impl::rolling_window_impl

## Synopsis

    // In header: <boost/accumulators/statistics/rolling_window.hpp>

    template<typename Sample>
    struct rolling_window_impl {
      // types
      typedef circular_buffer< Sample >::const_iterator const_iterator;
      typedef iterator_range< const_iterator >          result_type;

      // construct/copy/destruct
      rolling_window_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `rolling_window_impl` public construct/copy/destruct

1.     rolling_window_impl(dont_care);

### `rolling_window_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;